aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJonas Ådahl <jadahl@gmail.com>2015-10-09 12:08:30 +0800
committerJonas Ådahl <jadahl@gmail.com>2015-10-09 13:12:37 +0800
commitf548e992662ccb0d5e14b5167b4693102f31ce7f (patch)
tree5843df79f4787df2a5cdcc0873921eb7e7c3777d /autogen.sh
parenta24f0ff63e55027637d81b28486dd4e6884b11f0 (diff)
Add autotools installation files
Currently installs unstable protocols under an unstable/ subdirectory in $prefix/share/wayland-protocols/. Signed-off-by: Jonas Ådahl <jadahl@gmail.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..b08bc83
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+(
+ cd "$srcdir" &&
+ autoreconf --force -v --install
+) || exit
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"